<style>
  .images {
    padding:25px;
    float: right;
    margin-right: 7px;
    margin-top: 7px;
  }
</style>


# The AIDAHO Santa has losts his way!
[](00_data/RJ_santa.jpeg "AIDAHO Santa"){: .images width="300px" align="left" padding="25px"}
INFO:
In Hohenheim, where data gleams,    
Underneath the winter moon's beams,    
Lived AIDAHO Santa, wise and bright,    
With a beard as white as the snow's light.    
    
He was ready for his yearly flight,    
With gifts for all, a heartwarming sight.    
But oh! He faced a peculiar plight,    
His map was gone, nowhere in sight!    
    
"Where to go?" he pondered with a frown,    
In his festive, velvety, red gown.    
Then he remembered his friends so small,    
The clever elves, ready to enthrall.    
    
In their workshop, with screens aglow,    
Surrounded by toys in neat rows,    
They studied Data Science, a skill so keen,    
At Hohenheim, where AI was queen.    
    
"Dear Santa," they said with a grin,    
"We'll guide you, let the journey begin!    
With algorithms, data, and a dash of fun,    
We'll find your way before the night is done."    
    
Using their skills, they set to work,    
No corner of the globe to shirk.    
With Python, R, and models clear,    
They plotted a course, the path was near!    
    
Santa chuckled, joy in his heart,    
For his journey was ready to start.    
With a "Ho Ho Ho" and spirits bright,    
He took off into the snowy night.    
    
"Thanks to my elves, so clever and bold,    
With their data skills worth more than gold,    
I'll deliver these gifts, spread cheer and joy,    
To every girl and every boy!"    
    
So off he flew, with a laugh so merry,    
Leaving behind the snowy prairie.    
The AIDAHO Santa, found his way,    
Thanks to the elves and their AI array.    
    
And that's the tale of the lost Santa Claus,    
Who found his path, without a pause.    
With a little help from Hohenheim's best,    
He completed his worldwide festive quest!    
    
## The challenge
In this challenge, you are provided with a list of cities and their coordinates in `00_data/point_cloud.csv`. Your task is to create the shortest possible path that visits all the cities.

## Submission File
Your submission should be an ordered list of cities, representing the path in which you visit each city.

## Path Constraints
- Paths must start and end at the North Pole (`ID = 1`).
- You must visit every city exactly once.
- The distance between two cities is calculated as the 2D Euclidean distance.


## Evaluation
Your submission is scored on the Euclidean distance of your submitted path.

##Submission file
Your submission file contains the ordered Path that Santa should use to visit all the cities. Paths must start and end at the North Pole (ID = 1) and you must visit every city exactly once. Submission files must have a header and should look like:
<code>
Path
1
2
...
0
</code>

## Prizes
The first prize is  a AIDAHO t-shirt!

## Deadline
January 10, 2023 - Final submission deadline.

## Good Luck!
Ensure your solution adheres to the constraints and optimizes the travel path. Happy coding!